Subject: bug#12001: 24.1.50; vc-diff always talks to CVS repository

From: Richard Stallman <[email-masked]>
Date: Wed, 22 Aug 2012 22:49:58 -0400

I think I have caused some confusion.

The reason for CVS in the subject line is that I saw
the problem originally with a file managed by CVS.

Then a week or so ago I decided to investigate why
a VC version backup file was not made.  Since I was editing
a file in the Emacs sources, I investigated using that file.
However, that file is managed with bzr, not CVS.
I did not realize that this made a difference,
because the message about VC version backup files
didn't say they were only needed for CVS.
This made my investigation irrelevant.

I didn't try vc-diff with that file, I just assumed vc-diff
needed the VC backup file, as I was told.  It seems vc-diff
does in fact work with this file.

I will need to investigate some other time using a CVS file,
when I have a connection that permits updating from Savannah.

--
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call